#ifndef __TT808_H
#define __TT808_H
#include "main.h"






char *bin2hex(char *hex, const unsigned char *bin, int size);
int hex2bin(unsigned char *bin, const char *hex);
void tt808FsFunc(uint8_t* Message, uint8_t length, uint16_t MessageID);
void MIPURCHandle(void);
void ReMIPURC(void);
void time_bj(void);
void ReU4Proces(void);

void printBytes(uint8_t *data, size_t length);

void reconn(void);
uint8_t testHex2Asc(const char *hex) ;

void hexArrayToBcd(uint8_t* array, size_t length, uint8_t* out);


void Regular_reporting_Loc(void);
void pushpullWork(void);
extern bool Retrans;

extern bool Offline ;
void Test485Re(void);
extern bool Online;
void hexToBcd_arr(uint8_t* array, size_t length, uint8_t* out);
extern bool phonenull;
uint16_t swapBytes16(uint16_t value);
uint32_t swapBytes32(uint32_t value);

#endif /*__TT808_H*/

